<?php
/**
 * KimApiTest
 * PHP version 7.4
 *
 * @category Class
 * @package  SLIS\Adapter\Hub
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * slis hub
 *
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.7.4
 * Contact: dev@slis.io
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 6.1.0-SNAPSHOT
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace SLIS\Adapter\Hub\Test\Api;

use \SLIS\Adapter\Hub\Configuration;
use \SLIS\Adapter\Hub\ApiException;
use \SLIS\Adapter\Hub\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * KimApiTest Class Doc Comment
 *
 * @category Class
 * @package  SLIS\Adapter\Hub
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class KimApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass(): void
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp(): void
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown(): void
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass(): void
    {
    }

    /**
     * Test case for deleteKimItem
     *
     * Removes the Kim resource..
     *
     */
    public function testDeleteKimItem()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for getKimCollection
     *
     * Retrieves the collection of Kim resources..
     *
     */
    public function testGetKimCollection()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for getKimItem
     *
     * Retrieves a Kim resource..
     *
     */
    public function testGetKimItem()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for patchKimItem
     *
     * Updates the Kim resource..
     *
     */
    public function testPatchKimItem()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for postKimCollection
     *
     * Creates a Kim resource..
     *
     */
    public function testPostKimCollection()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for putKimItem
     *
     * Replaces the Kim resource..
     *
     */
    public function testPutKimItem()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }
}
